Name:           ukui-panel
Version:        4.0.0.0
Release:        2
Summary:        ukui desktop panel
License:        LGPL-2.0-or-later  and GPL-2.0-or-later and BSD
URL:            http://www.ukui.org
Source0:        %{name}-%{version}.tar.gz

Patch1: 	0001-ukui-panel-resolve-compilation-errors.patch
Patch2:		ukui-panel-4.0.0.0-chanage-c++11-to-c++20.patch
Patch3:         0001-fix-ukui-panel-4.0.0.0-lunarcalendar.patch

BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  dbusmenu-qt5-devel
BuildRequires:  libdrm-devel
BuildRequires:  glib2-devel 
BuildRequires:  gsettings-qt-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  libkscreen-qt5-devel
BuildRequires:  kf5-kwayland-devel
BuildRequires:  kf5-kwindowsystem-devel
BuildRequires:  libkysdk-sysinfo-devel
BuildRequires:  libkysdk-qtwidgets-devel
BuildRequires:  libkysdk-waylandhelper-devel
BuildRequires:  libkysdk-systime-devel
BuildRequires:  pipewire-devel
BuildRequires:  qt5-qtx11extras-devel
BuildRequires:  libqtxdg-devel
BuildRequires:  ukui-interface
BuildRequires:  libX11-devel
BuildRequires:  xcb-util-image-devel
BuildRequires:  libxcb-devel
BuildRequires:  libXtst-devel
BuildRequires:  plasma-wayland-protocols
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtbase-private-devel
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  qt5-qtwayland-devel
BuildRequires:  libukcc-devel
BuildRequires:  plasma-wayland-protocols-devel
BuildRequires:  kf5-kiconthemes-devel
BuildRequires:  xcb-util-devel
BuildRequires:  wayland-devel

Requires:       libkysdk-system
Provides:       ukui-indicators

Recommends:     ukui-window-switch
Recommends:     time-shutdown

%description
 The ukui desktop panel is used on ukui desktop and has some plugins like
 starmenu, quicklaunch and other useful tools.
 This package contains the ukui panel.

%prep
%autosetup -n %{name}-%{version} -p1

%build
mkdir build && cd build
%{cmake3} ..

%install
rm -rf $RPM_BUILD_ROOT
cd %{_builddir}/%{name}-%{version}/build
make DESTDIR=$RPM_BUILD_ROOT install

%post



%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc debian/copyright  debian/changelog
%{_prefix}/lib/*
%{_sysconfdir}/xdg/autostart/*
%{_bindir}/*
%{_includedir}/ukui/*
%{_libdir}/*
%{_datadir}/*

%changelog
* Fri Sep 06 2024 peijiankang <peijiankang@kylinos.cn> - 4.0.0.0-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: add 0001-fix-ukui-panel-4.0.0.0-lunarcalendar.patch

* Thu Mar 28 2024 huayadong <huayadong@kylinos.cn> - 4.0.0.0-1
- update version to 4.0.0.0

* Thu Sep 07 2023 peijiankang <peijiankang@kylinos.cn> - 3.1.0-11
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: update 0002-fix-translation-of-calendar.patch

* Thu Jul 27 2023 peijiankang <peijiankang@kylinos.cn> - 3.1.0-10
- Type:update
- ID:NA
- SUG:NA
- DESC: add Modify-file-permissions.patch

* Wed Jun 14 2023 peijiankang <peijiankang@kylinos.cn> - 3.1.0-9
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: disable Suspend and Sleep of ukui-panel

* Thu Mar 16 2023 peijiankang <peijiankang@kylinos.cn> - 3.1.0-8
- fix the backlight of nightmode button

* Tue Feb 07 2023 tanyulong <tanyulong@kylinos.cn> - 3.1.0-7
- Enable debuginfo for fix strip

* Tue Jan 31 2023 peijiankang <peijiankang@kylinos.cn> - 3.1.0-6
- fix nightnode button nodisplay

* Tue Jan 17 2023 peijiankang <peijiankang@kylinos.cn> - 3.1.0-5
- fix translation of calendar

* Mon Jan 9 2023 peijiankang <peijiankang@kylinos.cn> - 3.1.0-4
- fix translation problem of ukui-panel

* Thu Dec 08 2022 huayadong <huayadong@kylinos.cn> - 3.1.0-3
- delete  Recommends: libkysdk-system

* Thu Dec 8 2022 douyan <douyan@kylinos.cn> - 3.1.0-2
- update translation

* Wed Nov 9 2022 douyan <douyan@kylinos.cn> - 3.1.0-1
- update to upstream version 3.1.0-29

* Wed Apr 06 2022 huayadong <huayadong@kylinos.cn> - 3.0.2-12
- 优化预览窗口缩放机制和显示机制，为美观和显示比例考虑，减少最大窗口数从13减少为10个，解决单个小窗口缩放不协调的问题，解决窗口数过多时的图片缩放比例显示问题

* Fri May 20 2022 tanyulong<tanyulong@kylinos.cn> - 3.0.2-11
- Improve the project according to the requirements of compliance improvement

* Sat Apr 02 2022 tanyulong <tanyulong@kylinos.cn> - 3.0.2-10
- add yaml file

* Fri Mar 25 2022 huayadong <huayadong@kylinos.cn> - 3.0.2-9
- change BuildRequires: pulseaudio-devel to pulseaudio-libs-devel

* Fri Nov 05 2021 tanyulong <tanyulong@kylinos.cn> - 3.0.2-8
- Added changelog file for easy viewing

* Tue Nov 02 2021 tanyulong <tanyulong@kylinos.cn> - 3.0.2-7
- add Storage arrow icon

* Sat Sep 18 2021 peijiankang <peijiankang@kylinos.cn> - 3.0.2-6
- Modify some modules translation error

* Wed Sep 08 2021 tanyulong <tanyulong@kylinos.cn> - 3.0.2-5
- Fixes an issue with a year jump exception

* Fri Dec 4 2020 lvhan <lvhan@kylinos.cn> - 3.0.2-4
- block taskbar right click

* Fri Dec 4 2020 lvhan <lvhan@kylinos.cn> - 3.0.2-3
- fix calendar

* Thu Dec 3 2020 douyan <douyan@kylinos.cn> - 3.0.2-2
- block calendar

* Mon Oct 26 2020 douyan <douyan@kylinos.cn> - 3.0.2-1
- update to upstream version 3.0.1-1+1028

* Thu Jul 9 2020 douyan <douyan@kylinos.cn> - 2.0.8-1
- Init package for openEuler
